org.apache.catalina.filters

## Class Constants

- java.lang.Object
- - org.apache.catalina.filters.Constants

-     public final class Constants
      extends Object

  Manifest constants for this Java package.
  Author:
    Craig R. McClanahan

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CSRF_NONCE_REQUEST_ATTR_NAME` The request attribute key under which the current requests's CSRF nonce can be found.
    `static String` | `CSRF_NONCE_REQUEST_PARAM` The name of the request parameter which carries CSRF nonces from the client to the server for validation.
    `static String` | `CSRF_NONCE_REQUEST_PARAM_NAME_KEY` The servlet context attribute key under which the CSRF request parameter name can be found.
    `static String` | `CSRF_NONCE_SESSION_ATTR_NAME` The session attribute key under which the CSRF nonce cache will be stored.
    `static String` | `CSRF_REST_NONCE_HEADER_FETCH_VALUE`
    `static String` | `CSRF_REST_NONCE_HEADER_NAME`
    `static String` | `CSRF_REST_NONCE_HEADER_NAME_KEY` The servlet context attribute key under which the CSRF REST header name can be found.
    `static String` | `CSRF_REST_NONCE_HEADER_REQUIRED_VALUE`
    `static String` | `CSRF_REST_NONCE_SESSION_ATTR_NAME` The session attribute key under which the CSRF REST nonce cache will be stored.
    `static String` | `METHOD_GET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CSRF_NONCE_SESSION_ATTR_NAME

          public static final String CSRF_NONCE_SESSION_ATTR_NAME

      The session attribute key under which the CSRF nonce cache will be stored.
      See Also:
        Constant Field Values

    - #### CSRF_NONCE_REQUEST_ATTR_NAME

          public static final String CSRF_NONCE_REQUEST_ATTR_NAME

      The request attribute key under which the current requests's CSRF nonce can be found.
      See Also:
        Constant Field Values

    - #### CSRF_NONCE_REQUEST_PARAM

          public static final String CSRF_NONCE_REQUEST_PARAM

      The name of the request parameter which carries CSRF nonces from the client to the server for validation.
      See Also:
        Constant Field Values

    - #### CSRF_NONCE_REQUEST_PARAM_NAME_KEY

          public static final String CSRF_NONCE_REQUEST_PARAM_NAME_KEY

      The servlet context attribute key under which the CSRF request parameter name can be found.
      See Also:
        Constant Field Values

    - #### METHOD_GET

          public static final String METHOD_GET

      See Also:
        Constant Field Values

    - #### CSRF_REST_NONCE_HEADER_NAME

          public static final String CSRF_REST_NONCE_HEADER_NAME

      See Also:
        Constant Field Values

    - #### CSRF_REST_NONCE_HEADER_FETCH_VALUE

          public static final String CSRF_REST_NONCE_HEADER_FETCH_VALUE

      See Also:
        Constant Field Values

    - #### CSRF_REST_NONCE_HEADER_REQUIRED_VALUE

          public static final String CSRF_REST_NONCE_HEADER_REQUIRED_VALUE

      See Also:
        Constant Field Values

    - #### CSRF_REST_NONCE_SESSION_ATTR_NAME

          public static final String CSRF_REST_NONCE_SESSION_ATTR_NAME

      The session attribute key under which the CSRF REST nonce cache will be stored.
      See Also:
        Constant Field Values

    - #### CSRF_REST_NONCE_HEADER_NAME_KEY

          public static final String CSRF_REST_NONCE_HEADER_NAME_KEY

      The servlet context attribute key under which the CSRF REST header name can be found.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.